# MultipleScanningMode class

Configuration of the mode for scanning multiple barcodes.

Inheritance
  - Object
  - BarcodeUseCase
  - MultipleScanningMode

## Constructors

MultipleScanningMode({int countingRepeatDelay = 1000, bool allowEmptySubmission = false, MultipleBarcodesScanningMode mode = MultipleBarcodesScanningMode.COUNTING, Sheet? sheet, SheetContent? sheetContent, ManualCountEditDialog? manualCountEditDialog, BarcodeInfoMapping? barcodeInfoMapping, ArOverlayGeneralConfiguration? arOverlay})
MultipleScanningMode.fromJson(Map<String, dynamic> json)
  factory

## Properties

allowEmptySubmission ↔ bool
  Whether the user can submit an empty barcode list. Default is false
  getter/setter pair
arOverlay ↔ ArOverlayGeneralConfiguration
  Configuration of the AR overlay.
  getter/setter pair
barcodeInfoMapping ↔ BarcodeInfoMapping
  Appearance of the barcode info mapping.
  getter/setter pair
countingRepeatDelay ↔ int
  Time interval in milliseconds before a barcode is counted again. 0 = no delay. The default value is 1000. Default is 1000
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
manualCountEditDialog ↔ ManualCountEditDialog
  Configuration of the dialog to manually edit the barcode count.
  getter/setter pair
mode ↔ MultipleBarcodesScanningMode
  Mode used for scanning multiple barcodes. Default is COUNTING
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sheet ↔ Sheet
  Configuration of the preview mode for scanning multiple barcodes.
  getter/setter pair
sheetContent ↔ SheetContent
  Configuration of the list containing the barcodes that have already been scanned.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited